Package org.jboss.logging.annotations

## Annotation Type BaseUrl

    @Target(TYPE)
    @Retention(CLASS)
    @Documented
    public @interface BaseUrl

Messages on reports can have a link to a resolution document. This annotation can be used to provide a base URL for these documents.

Expressions in the form of `${property.key:default-value}` can be used for the values. If the property key is prefixed with `sys.` a system property will be used. If the key is prefixed with `env.` an environment variable will be used. In all other cases the `org.jboss.logging.tools.expressionProperties` processor argument is used to specify the path the properties file which contains the values for the expressions.

Since:
  1.2
Author:
  James R. Perkins

### Required Element Summary

Required Elements
`java.lang.String` `value` The base URL used for links to resolution documentation on reports.

### Element Detail

#### value

    java.lang.String value

The base URL used for links to resolution documentation on reports. This can be a fully qualified URL or a relative URL.

Returns:
  the base URL